/*
 * Kits4me_LED_control is a library for easy control on LED rgb
 *
 *
 * pwm pins for arduino nano: D3,D5,D6,D9,D10,D11
 * use those pins for getting mixed colors
 * 
 * available function at library:
 	void lightTheLed(short color,int msec);
	void turnLightOff();
	bool lightIsOff();
	short currentColor();
	bool isThatCurrColor(short clr);
	short chooseRandomColor(short numberOfColors);
 *
  * available colors:
      KITS_COLOR_NONE 	
      KITS_COLOR_RED 		
      KITS_COLOR_GREEN 	
      KITS_COLOR_BLUE 	
      KITS_COLOR_YELLOW 	
      KITS_COLOR_PURPLE 	
      KITS_COLOR_WHITE 	
      KITS_COLOR_CYAN

 * this example light the LED in random color, and prints the current color when it's on
 */


#include <Kits4me_LED_control.h>

int pinRed=5;
int pinGreen=6;
int pinBlue=9;
Kits4me_LED_control  rgbled(pinRed,pinGreen,pinBlue); ///pin numbers for the LED

void setup() {
    Serial.begin(9600);  // for debugging
    Serial.println("...started...");  
}

void loop() {
	if(rgbled.lightIsOff()){
		int t=random(500,1000); // time of light to stay on
		//short clr=rgbled.chooseRandomColor(4); // choosing the color, only between first 4
		short clr=rgbled.chooseRandomColor(-1); // choosing the color, all colors options
		rgbled.lightTheLed(clr,t);
	}
	else {
		switch(rgbled.currentColor()){
			case 1:
				Serial.println("1. KITS_COLOR_RED");
				break;
			case 2:
				Serial.println("2. KITS_COLOR_GREEN");
				break;
			case 3:
				Serial.println("3. KITS_COLOR_BLUE");
				break;
			case 4:
				Serial.println("4. KITS_COLOR_YELLOW");
				break;
			case 5:
				Serial.println("4. KITS_COLOR_PURPLE");
				break;
			case 6:
				Serial.println("4. KITS_COLOR_WHITE");
				break;
		}
		delay(300);
	}
}
