/*
 *     Kits4me_LED_control.h 
 * lib for kitss4.me touch panel
 * function for last input
 * 
 *
 * pwm pins for arduino nano: D3,D5,D6,D9,D10,D11
 * use those pins for getting mixed colors
 * 
 * Created by Amir Dagan, Kits4.me  , Feb,2019.
*/
#ifndef Kits4me_LED_control_h
#define Kits4me_LED_control_h

#include "Arduino.h"

#define KITS_COLOR_NONE 	0
#define KITS_COLOR_RED 		1
#define KITS_COLOR_GREEN 	2
#define KITS_COLOR_BLUE 	3
#define KITS_COLOR_YELLOW 	4
#define KITS_COLOR_PURPLE 	5
#define KITS_COLOR_WHITE 	6
#define KITS_COLOR_CYAN 	7


class Kits4me_LED_control
{
  public:
    Kits4me_LED_control(int pinR,int pinG,int pinB);
    
	
	void lightTheLed(short color,int msec);
	void turnLightOff();
	bool lightIsOff();
	short currentColor();
	bool isThatCurrColor(short clr);
	short chooseRandomColor(short numberOfColors);

  private:
    int _pinR;
    int _pinG;
    int _pinB;
    short _currColor;
	unsigned long _colorEndTime;
	short _maxColorNum=7;
	
};

#endif